Can't install ktorrent on LMDE/KDE?

Questions about applications and software
Forum rules
Before you post please read this

Can't install ktorrent on LMDE/KDE?

Postby BostonPeng on Sat Apr 28, 2012 10:10 am

I had to rebuild a laptop this week after I trashed my old LCD and after getting LMDE installed and fully up to date, then putting kde-standard on it, I'm noticing that I don't have the option of using ktorrent. Am I missing something? I've got main, upstream, import and backport repos enabled and I'm completely dumsqizzled as to why I can't use the KDE torrent client.

I know I can use Transmission, and it's already installed, but I'd rather use KDE apps where possible.
J.M. "BostonPeng" Hardin
Now very happily running SolydK
My new Linux blog: Tux + Me
It's time for Dodgers baseball!
User avatar
BostonPeng
Level 5
Level 5
 
Posts: 619
Joined: Mon Aug 02, 2010 8:50 am
Location: Boston, MA

Linux Mint is funded by ads and donations.
 

Re: Can't install ktorrent on LMDE/KDE?

Postby BostonPeng on Sat Apr 28, 2012 10:20 am

I found a workaround by downloading the packages for ktorrent and ktorrent-data from the Debian sid packages but I suspect there's a better way to do it.
J.M. "BostonPeng" Hardin
Now very happily running SolydK
My new Linux blog: Tux + Me
It's time for Dodgers baseball!
User avatar
BostonPeng
Level 5
Level 5
 
Posts: 619
Joined: Mon Aug 02, 2010 8:50 am
Location: Boston, MA

Re: Can't install ktorrent on LMDE/KDE?

Postby zerozero on Sat Apr 28, 2012 11:14 am

hey BP,
Code: Select all
$ apt policy ktorrent
ktorrent:
  Installed: (none)
  Candidate: 4.2.0-1
  Version table:
     4.2.0-1 0
        500 http://ftp.debian.org/debian/ testing/main amd64 Packages

what are your repos?
Code: Select all
inxi -r

Code: Select all
amadeu@amadeu ~ $ sudo apt-get -s install ktorrent
[sudo] password for amadeu:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  xdg-user-dirs-gtk libcaca-dev libslang2-dev libkeybinder0 mate-image-viewer
  libmagickcore4 python-keybinder libv8-3.7.12.22 libasound2-dev libglew1.6
  libmagickwand4 libncurses5-dev libmagickcore4-extra libmagick++4
  libdirectfb-extra libtinfo-dev gir1.2-sushi-1.0 mint-backgrounds-debian
  libsushi-1.0-0 libtracker-sparql-0.12-0 libdirectfb-dev libsysfs-dev
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  ktorrent-data libkprintutils4 libktorrent-l10n libktorrent4 libkutils4
  libkworkspace4 libsyndication4
Suggested packages:
  plasma-widget-ktorrent krosspython
The following NEW packages will be installed:
  ktorrent ktorrent-data libkprintutils4 libktorrent-l10n libktorrent4
  libkutils4 libkworkspace4 libsyndication4
0 upgraded, 8 newly installed, 0 to remove and 0 not upgraded.
Inst libkprintutils4 (4:4.7.4-4 Debian:testing [amd64])
Inst libktorrent4 (1.2.0-1+b1 Debian:testing [amd64])
Inst libkutils4 (4:4.7.4-4 Debian:testing [amd64])
Inst libkworkspace4 (4:4.7.4-2+b1 Debian:testing [amd64])
Inst libsyndication4 (4:4.7.4-2+b1 Debian:testing [amd64])
Inst ktorrent-data (4.2.0-1 Debian:testing [all])
Inst libktorrent-l10n (1.2.0-1 Debian:testing [all])
Inst ktorrent (4.2.0-1 Debian:testing [amd64])
Conf libkprintutils4 (4:4.7.4-4 Debian:testing [amd64])
Conf libktorrent4 (1.2.0-1+b1 Debian:testing [amd64])
Conf libkutils4 (4:4.7.4-4 Debian:testing [amd64])
Conf libkworkspace4 (4:4.7.4-2+b1 Debian:testing [amd64])
Conf libsyndication4 (4:4.7.4-2+b1 Debian:testing [amd64])
Conf ktorrent-data (4.2.0-1 Debian:testing [all])
Conf libktorrent-l10n (1.2.0-1 Debian:testing [all])
Conf ktorrent (4.2.0-1 Debian:testing [amd64])
would install just fine.
User avatar
zerozero
Level 16
Level 16
 
Posts: 6435
Joined: Tue Jul 07, 2009 2:29 pm

Re: Can't install ktorrent on LMDE/KDE?

Postby BostonPeng on Sat Apr 28, 2012 11:17 am

I haven't added any extra/alternate repos yet on this system. Currently my repos are:

Code: Select all
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://packages.linuxmint.com/ debian main upstream import backport
           deb http://debian.linuxmint.com/latest testing main contrib non-free
           deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
           deb http://debian.linuxmint.com/latest/multimedia testing main non-free
J.M. "BostonPeng" Hardin
Now very happily running SolydK
My new Linux blog: Tux + Me
It's time for Dodgers baseball!
User avatar
BostonPeng
Level 5
Level 5
 
Posts: 619
Joined: Mon Aug 02, 2010 8:50 am
Location: Boston, MA

Re: Can't install ktorrent on LMDE/KDE?

Postby zerozero on Sat Apr 28, 2012 11:42 am

how lucky can you be BP? :lol: in 30.000 pkgs you gonna hit probably the only one that was removed from testing 2 days before UP4 being frozen and was added right the next day

so, in short: ktorrent is removed on the 18th;
UP4 is frozen on the 20th;
ktorrent migrates again on the 21st;
and now until UP5 there's no ktorrent in latest/incoming :mrgreen:
User avatar
zerozero
Level 16
Level 16
 
Posts: 6435
Joined: Tue Jul 07, 2009 2:29 pm

Re: Can't install ktorrent on LMDE/KDE?

Postby BostonPeng on Sat Apr 28, 2012 11:45 am

LMAO! When I'm good I'm good, eh? Now I don't feel so bad about snagging the packages manually. As backed up as I've been after having no laptop for almost two months I'm not quite ready to dive back into testing but at least now I know I should be able to manually snag packages that LMDE refuses to acknowledge they exist.

Now if only TewwtDeck/Air was as easy a problem to resolve. 8)
J.M. "BostonPeng" Hardin
Now very happily running SolydK
My new Linux blog: Tux + Me
It's time for Dodgers baseball!
User avatar
BostonPeng
Level 5
Level 5
 
Posts: 619
Joined: Mon Aug 02, 2010 8:50 am
Location: Boston, MA


Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 2 guests